DynamicJava Javadoc: Class ArrayInitializer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class ArrayInitializer

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Expression
                  |
                  +--koala.dynamicjava.tree.ArrayInitializer

public class ArrayInitializer
extends Expression

This class represents the array initializer nodes of the syntax tree

Field Summary
`static java.lang.String` | `CELLS` The cells property name
`static java.lang.String` | `ELEMENT_TYPE` The element type property name

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`ArrayInitializer(java.util.List cells)` Initializes the expression
`ArrayInitializer(java.util.List cells, java.lang.String fn, int bl, int bc, int el, int ec)` Initializes the expression

Method Summary
`java.lang.Object` | `acceptVisitor(Visitor visitor)` Allows a visitor to traverse the tree
`java.util.List` | `getCells()` Returns the list of cell initialization expressions
`Type` | `getElementType()` Returns the element type
`void` | `setCells(java.util.List l)` Sets the list of cell initialization expressions
`void` | `setElementType(Type t)` Sets the element type

Methods inherited from class koala.dynamicjava.tree.Node
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CELLS

    public static final java.lang.String CELLS

  The cells property name

### ELEMENT_TYPE

    public static final java.lang.String ELEMENT_TYPE

  The element type property name

Constructor Detail

### ArrayInitializer

    public ArrayInitializer(java.util.List cells)

  Initializes the expression
  Parameters:
    `cells` - the list of initialized cells
  Throws:
    `java.lang.IllegalArgumentException` - if cells is null

### ArrayInitializer

    public ArrayInitializer(java.util.List cells,
                            java.lang.String fn,
                            int bl,
                            int bc,
                            int el,
                            int ec)

  Initializes the expression
  Parameters:
    `cells` - the list of initialized cells
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column
  Throws:
    `java.lang.IllegalArgumentException` - if cells is null

Method Detail

### getCells

    public java.util.List getCells()

  Returns the list of cell initialization expressions

### setCells

    public void setCells(java.util.List l)

  Sets the list of cell initialization expressions
  Throws:
    `java.lang.IllegalArgumentException` - if l is null

### getElementType

    public Type getElementType()

  Returns the element type
  Throws:
    `java.lang.IllegalStateException` - if elementType is null

### setElementType

    public void setElementType(Type t)

  Sets the element type
  Throws:
    `java.lang.IllegalArgumentException` - if t is null

### acceptVisitor

    public java.lang.Object acceptVisitor(Visitor visitor)

  Allows a visitor to traverse the tree
  Overrides:
    `acceptVisitor` in class `Node`
  Parameters:
    `visitor` - the visitor to accept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.